stages:
  - build
  - deploy

build:
  image: node:latest
  stage: build
  #variables: 
    # PUBLIC_URL: https://aleksandr.mayboroda.gitlab.io/shortne-project/
    #PUBLIC_URL: /shortne-project #вот так только заработало, здесь путь к странице типа ...domain/my-page
  script:
    - npm install
    - npm run build
  artifacts:
    paths:
      - dist/


pages:
  stage: deploy
  script:
    #- mkdir .public
    #- cp -r * .public
    #- mv dist public
    - mv ./dist ./public
  artifacts:
    paths:
      - public
